<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/10.0.2-internal" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.local.RegistroDeProductosController">
   <children>
      <VBox prefHeight="400.0" prefWidth="600.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <children>
            <Label alignment="TOP_CENTER" contentDisplay="CENTER" nodeOrientation="LEFT_TO_RIGHT" prefHeight="23.0" prefWidth="599.0" text="Registrar productos" textAlignment="CENTER" textOverrun="CENTER_WORD_ELLIPSIS">
               <font>
                  <Font size="15.0" />
               </font>
            </Label>
            <GridPane>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="313.0" minWidth="10.0" prefWidth="126.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="212.0" />
                  <ColumnConstraints hgrow="SOMETIMES" maxWidth="496.0" minWidth="10.0" prefWidth="262.0" />
              </columnConstraints>
              <rowConstraints>
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                  <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
              </rowConstraints>
               <children>
                  <Label text="Nombre:" GridPane.rowIndex="1" />
                  <TextField fx:id="txtCantidad" prefHeight="25.0" prefWidth="114.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                  <TextField fx:id="txtPrecio" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                  <Label prefHeight="17.0" prefWidth="131.0" text="Cantidad:" GridPane.rowIndex="2" />
                  <Label text="Precio:" GridPane.rowIndex="3" />
                  <Label prefHeight="17.0" prefWidth="109.0" text="Codigo:" />
                  <TextField fx:id="txtCodigo" GridPane.columnIndex="1" />
                  <TextField fx:id="txtNombre" GridPane.columnIndex="1" GridPane.rowIndex="1" />
               </children>
            </GridPane>
            <ButtonBar prefHeight="40.0" prefWidth="200.0">
              <buttons>
                  <GridPane prefHeight="36.0" prefWidth="633.0">
                    <columnConstraints>
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="225.0" minWidth="10.0" prefWidth="187.0" />
                        <ColumnConstraints hgrow="SOMETIMES" maxWidth="248.0" minWidth="0.0" prefWidth="191.0" />
                      <ColumnConstraints hgrow="SOMETIMES" maxWidth="364.0" minWidth="10.0" prefWidth="203.0" />
                      <ColumnConstraints hgrow="SOMETIMES" maxWidth="99.0" minWidth="8.0" prefWidth="8.0" />
                    </columnConstraints>
                    <rowConstraints>
                      <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                    </rowConstraints>
                     <children>
                      <Button mnemonicParsing="false" onAction="#btnRegistrar_action" prefHeight="25.0" prefWidth="155.0" text="Registrar" GridPane.columnIndex="1" />
                     </children>
                  </GridPane>
              </buttons>
            </ButtonBar>
            <TableView fx:id="tblProductos" prefHeight="231.0" prefWidth="602.0">
              <columns>
                  <TableColumn fx:id="clmCodigo" prefWidth="64.0" text="Codigo" />
                  <TableColumn fx:id="clmNombre" minWidth="0.0" prefWidth="206.0" text="Nombre" />
                  <TableColumn fx:id="clmCantidad" prefWidth="108.0" text="Cantidad" />
                  <TableColumn fx:id="clmPrecio" prefWidth="150.0" text="Precio" />
                  <TableColumn fx:id="clmDescuento" prefWidth="69.0" text="Descuento" />
              </columns>
            </TableView>
         </children>
      </VBox>
   </children>
</AnchorPane>
